% Solve Matrix completion testproblem

% Note: we need m (the number of measurements) to be large enough for the
% original matrix to be the exact solution to the SDP
% Otherwise, the solution generally has a much higher rank, and modified 
% SeDuMi can slow down dramatically
n = 500; r = 1;
m = 50*n; 
[A,b,c,K,info] = makeMatComp(n, m, r);

% Solve
[x,y,out] = sedumi(A,b,c,K);